LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XDatabaseRange Interface Referencepublished

provides access to the settings and options of a database range. More...

`import"XDatabaseRange.idl";`

Inheritance diagram for XDatabaseRange:

## Public Member Functions
com::sun::star::table::CellRangeAddress | getDataArea ()
| returns the data area of the database range in the spreadsheet document. More...
void | setDataArea ([in] com::sun::star::table::CellRangeAddress aDataArea)
| sets the data area of the database range. More...
sequence< com::sun::star::beans::PropertyValue > | getSortDescriptor ()
| returns the sort descriptor stored with the database range. More...
XSheetFilterDescriptor | getFilterDescriptor ()
| returns the filter descriptor stored with the database range. More...
XSubTotalDescriptor | getSubTotalDescriptor ()
| returns the subtotal descriptor stored with the database range. More...
sequence< com::sun::star::beans::PropertyValue > | getImportDescriptor ()
| returns the database import descriptor stored with this database range. More...
void | refresh ()
| executes the stored import, filter, sorting, and subtotals descriptors again. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the settings and options of a database range.

See also
  com::sun::star::sheet::DatabaseRange

## Member Function Documentation

## ◆ getDataArea()

com::sun::star::table::CellRangeAddress getDataArea | ( |  | ) |

returns the data area of the database range in the spreadsheet document.

## ◆ getFilterDescriptor()

XSheetFilterDescriptor getFilterDescriptor | ( |  | ) |

returns the filter descriptor stored with the database range.

If the filter descriptor is modified, the new filtering is carried out when XDatabaseRange::refresh() is called.

See also
  SheetFilterDescriptor

## ◆ getImportDescriptor()

sequence< com::sun::star::beans::PropertyValue > getImportDescriptor | ( |  | ) |

returns the database import descriptor stored with this database range.

See also
  DatabaseImportDescriptor

## ◆ getSortDescriptor()

sequence< com::sun::star::beans::PropertyValue > getSortDescriptor | ( |  | ) |

returns the sort descriptor stored with the database range.

See also
  SheetSortDescriptor2

## ◆ getSubTotalDescriptor()

XSubTotalDescriptor getSubTotalDescriptor | ( |  | ) |

returns the subtotal descriptor stored with the database range.

If the subtotal descriptor is modified, the new subtotals are inserted when XDatabaseRange::refresh() is called.

See also
  SubTotalDescriptor

## ◆ refresh()

void refresh | ( |  | ) |

executes the stored import, filter, sorting, and subtotals descriptors again.

## ◆ setDataArea()

void setDataArea | ( | [in] com::sun::star::table::CellRangeAddress | aDataArea | ) |

sets the data area of the database range.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XDatabaseRange.idl